Subject: [TR] Expensive Shocks--Worth It

From: "[email-masked]" <[email-masked]>
Date: Sun, 04 Jan 2015 12:32:22 -0800

I have not use expensive shocks in a TR250 but I have several sets in 
some of my TR7/8's.  The KYB shocks work well for day to day driving.  I 
have a full set in the car that My wife uses.  I have a set of GAZ 
shocks in the 1981 TR7 and Spax in the TR8.  Both are excellent.  The 
adjustments are great for fine tuning for autocross and you can find 
whatever level of stiffness suits for for road use.

No problems with any of the brands including the wife's car with the 
KBY's that we have put about 65,000 miles on.

Edward Hamer
Petaluma CA

** [email-masked] **

Archive: http://www.team.net/archive